<?php

include('../../path.php');

/*$host_qr_tag= $_SERVER["HTTP_HOST"];

$url_qr_tag = $_SERVER["REQUEST_URI"];

$subtree_qr_tag = substr_count($url_qr_tag, '/');

$context_qr_tag='';

for ($i_qr_tag=2; $i_qr_tag <$subtree_qr_tag ; $i_qr_tag++) { 

        $context_qr_tag=$context_qr_tag.'../';

}

require_once($context_qr_tag.'home/qr_tag/modelo/qr_tag.php');*/

require_once(ROOT_CONTROLLER.'qr_tag.php');

$Obj_qr_tag = new qr_tag();

require_once(ROOT_CHARACTER_FIX);

//require_once($context_qr_tag.'bussines/fix_characters.php');

$Obj_fix_characters = new fix_characters();



$action=!empty($_REQUEST['action'])?$_REQUEST['action']:'';

$_ScrollTo=!empty($_REQUEST['_ScrollTo'])?$_REQUEST['_ScrollTo']:'';

$_Pagina=!empty($_REQUEST['_Pagina'])?$_REQUEST['_Pagina']:'';

$_Clausula_Fk=!empty($_REQUEST['_Clausula_Fk'])?$_REQUEST['_Clausula_Fk']:'';

$_IdFk=!empty($_REQUEST['_IdFk'])?$_REQUEST['_IdFk']:'';



if (!empty($_POST))

{

    $Id_Qr_Tag=!empty($_REQUEST['Id_Qr_Tag'])?$_REQUEST['Id_Qr_Tag']:'';

   $Id_Fk_Lote=!empty($_REQUEST['Id_Fk_Lote'])?$_REQUEST['Id_Fk_Lote']:'';

   $Lote=!empty($_REQUEST['Lote'])?$_REQUEST['Lote']:'';

   $Qr_Icon_Img=!empty($_REQUEST['Qr_Icon_Img'])?$_REQUEST['Qr_Icon_Img']:'';

   $Qr_Img1px=!empty($_REQUEST['Qr_Img1px'])?$_REQUEST['Qr_Img1px']:'';

   $Qr_Img3px=!empty($_REQUEST['Qr_Img3px'])?$_REQUEST['Qr_Img3px']:'';

   $Qr_Img5px=!empty($_REQUEST['Qr_Img5px'])?$_REQUEST['Qr_Img5px']:'';

   $Qr_Img10px=!empty($_REQUEST['Qr_Img10px'])?$_REQUEST['Qr_Img10px']:'';

   $Imagen_Portada=!empty($_REQUEST['Imagen_Portada'])?$_REQUEST['Imagen_Portada']:'';

   $Id_Fk_Objeto=!empty($_REQUEST['Id_Fk_Objeto'])?$_REQUEST['Id_Fk_Objeto']:'';

   $Titulo_Objeto=!empty($_REQUEST['Titulo_Objeto'])?$_REQUEST['Titulo_Objeto']:'';

   $Tag_Qr_Image=!empty($_REQUEST['Tag_Qr_Image'])?$_REQUEST['Tag_Qr_Image']:'';

   $Ficha_Descriptiva=!empty($_REQUEST['Ficha_Descriptiva'])?$_REQUEST['Ficha_Descriptiva']:'';

   $Observaciones=!empty($_REQUEST['Observaciones'])?$_REQUEST['Observaciones']:'';

   $Mostrar_Contacto=!empty($_REQUEST['Mostrar_Contacto'])?$_REQUEST['Mostrar_Contacto']:'';

   $Descargar_Contacto=!empty($_REQUEST['Descargar_Contacto'])?$_REQUEST['Descargar_Contacto']:'';

   $Mostrar_Qr=!empty($_REQUEST['Mostrar_Qr'])?$_REQUEST['Mostrar_Qr']:'';

   $Titulo_Boton=!empty($_REQUEST['Titulo_Boton'])?$_REQUEST['Titulo_Boton']:'';

   $Icono_Boton=!empty($_REQUEST['Icono_Boton'])?$_REQUEST['Icono_Boton']:'';

   $Modulo_Href_Boton=!empty($_REQUEST['Modulo_Href_Boton'])?$_REQUEST['Modulo_Href_Boton']:'';

   $Tema=!empty($_REQUEST['Tema'])?$_REQUEST['Tema']:'';

   $Pagina_Web=!empty($_REQUEST['Pagina_Web'])?$_REQUEST['Pagina_Web']:'';

   $Url_Base=!empty($_REQUEST['Url_Base'])?$_REQUEST['Url_Base']:'';

   $Url_Add=!empty($_REQUEST['Url_Add'])?$_REQUEST['Url_Add']:'';

   $Foto_Perfil_Contacto=!empty($_REQUEST['Foto_Perfil_Contacto'])?$_REQUEST['Foto_Perfil_Contacto']:'';

   $Nombre_Contacto=!empty($_REQUEST['Nombre_Contacto'])?$_REQUEST['Nombre_Contacto']:'';

   $Apellido_Paterno_Contacto=!empty($_REQUEST['Apellido_Paterno_Contacto'])?$_REQUEST['Apellido_Paterno_Contacto']:'';

   $Apellido_Materno_Contacto=!empty($_REQUEST['Apellido_Materno_Contacto'])?$_REQUEST['Apellido_Materno_Contacto']:'';

   $Direccion=!empty($_REQUEST['Direccion'])?$_REQUEST['Direccion']:'';

   $Telefono_Celular=!empty($_REQUEST['Telefono_Celular'])?$_REQUEST['Telefono_Celular']:'';

   $Correo=!empty($_REQUEST['Correo'])?$_REQUEST['Correo']:'';

   $Facebook=!empty($_REQUEST['Facebook'])?$_REQUEST['Facebook']:'';

   $Linkedin=!empty($_REQUEST['Linkedin'])?$_REQUEST['Linkedin']:'';

   $Instagram=!empty($_REQUEST['Instagram'])?$_REQUEST['Instagram']:'';

   $Twitter=!empty($_REQUEST['Twitter'])?$_REQUEST['Twitter']:'';

   $Youtube=!empty($_REQUEST['Youtube'])?$_REQUEST['Youtube']:'';

   $TikTok=!empty($_REQUEST['TikTok'])?$_REQUEST['TikTok']:'';

   $Hash_Tag_Qr=!empty($_REQUEST['Hash_Tag_Qr'])?$_REQUEST['Hash_Tag_Qr']:'';

   $Try_Insert=!empty($_REQUEST['Try_Insert'])?$_REQUEST['Try_Insert']:1;

   $Token=!empty($_REQUEST['Token'])?$_REQUEST['Token']:'';

   $Url_Calendario=!empty($_REQUEST['Url_Calendario'])?$_REQUEST['Url_Calendario']:'';

   $Mostrar_Calendario=!empty($_REQUEST['Mostrar_Calendario'])?$_REQUEST['Mostrar_Calendario']:'';

   $Borrado_Logico=!empty($_REQUEST['Borrado_Logico'])?$_REQUEST['Borrado_Logico']:'';

   $Status=!empty($_REQUEST['Status'])?$_REQUEST['Status']:'';

   $Reporte_Perdido=!empty($_REQUEST['Reporte_Perdido'])?$_REQUEST['Reporte_Perdido']:'';

   $Mensaje_Perdido=!empty($_REQUEST['Mensaje_Perdido'])?$_REQUEST['Mensaje_Perdido']:'No';

   $Usuario_Registro=!empty($_REQUEST['Usuario_Registro'])?$_REQUEST['Usuario_Registro']:'';

   $Id_Fk_Usuario_Registro=!empty($_REQUEST['Id_Fk_Usuario_Registro'])?$_REQUEST['Id_Fk_Usuario_Registro']:'';

   $Usuario_Modifico=!empty($_REQUEST['Usuario_Modifico'])?$_REQUEST['Usuario_Modifico']:'';

   $Id_Fk_Usuario_Modifico=!empty($_REQUEST['Id_Fk_Usuario_Modifico'])?$_REQUEST['Id_Fk_Usuario_Modifico']:'';

   $Tag_Is_Empty=!empty($_REQUEST['Tag_Is_Empty'])?$_REQUEST['Tag_Is_Empty']:'';

   $Fecha_Registro=!empty($_REQUEST['Fecha_Registro'])?$_REQUEST['Fecha_Registro']:'';

   $Fecha_Modificacion=!empty($_REQUEST['Fecha_Modificacion'])?$_REQUEST['Fecha_Modificacion']:'';

   

    $Field=!empty($_REQUEST['Field'])?$_REQUEST['Field']:''; 

    $Field=$Obj_fix_characters->fix($Field);

    $Value=!empty($_REQUEST['Value'])?$_REQUEST['Value']:''; 

    $Value=$Obj_fix_characters->fix($Value);



}    



switch ($action) {



    case 'campos':

        try{

            $Obj_qr_tag->update_field_qr_tag($Field,$Value,$Id_Qr_Tag);

            //$locations="Location: ./#$Id_Qr_Tag";

            //header($locations);

            }   

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }

        break;

    case 'complementar':



        try{

            if (!file_exists('../../../repositorio/qr_tag_img')) {

                mkdir('../../../repositorio/qr_tag_img', 0777, true); // Crear directorio recursivamente con permisos completos (0777)

            }

            if ($Imagen_Portada!='') {

                    $tamano = $_FILES ['Imagen_Portada_file']['size'];

                    if ($tamano>0) 

                    {

                        if (strpos($_FILES["Imagen_Portada_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["Imagen_Portada_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }                    

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") {

                            move_uploaded_file ($_FILES ['Imagen_Portada_file']['tmp_name'], $Imagen_Portada);

                        }

                    }

                }

                else

                {   

                    $tamano = $_FILES ['Imagen_Portada_file']['size'];

                    if ($tamano>0) 

                    {

                    // Creamos la cadena aletoria para la imagen.

                    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                    $cad = ""; 

                    for($i=0;$i<12;$i++) { 

                        $cad .= substr($str,rand(0,62),1); 

                    } 

                    // Fin de la creacion de la cadena aletoria 

                    $tamano = $_FILES ['Imagen_Portada_file']['size']; // Leemos el tamano del fichero 

                    $tamano_max="50000000000"; // tamano maximo permitido 

                    // echo $tamano;

                    if( $tamano < $tamano_max){ // Comprovamos el tamano  

                        $destino = '../../../repositorio/qr_tag_img/' ; // Carpeta donde se guarda                    

                        $sep="";

                        $Mec_type="";

                        if (strpos($_FILES["Imagen_Portada_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["Imagen_Portada_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }

                        if (strpos($_FILES["Imagen_Portada_file"]["type"], 'audio/') !== false) {

                            $sep=explode('audio/',$_FILES["Imagen_Portada_file"]["type"]); // Separamos image/ 

                            $Mec_type='aud';

                        }

                        if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                        }

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                            try {

                                if ($tamano>0){

                                // se comentaron para que le cambie el nombre a la nueva imagen.

                                    move_uploaded_file ($_FILES ['Imagen_Portada_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                                 // Subimos el archivo                          

                                }

                            

                            } catch (Exception $e) {

                            }

                            $Mec_urla=$cad;

                            $Mec_formato='.'.$tipo;

                        } else { 

                             $Imagen_Portada_img="";

                        }

                    } else { 

                        $Imagen_Portada_img="";

                    }

                    if (strlen($tipo)==0) {

                        $Imagen_Portada_img='';       

                    } else {

                        $Imagen_Portada_img=$destino.'/'.$cad.'.'.$tipo;      

                    }

                    //termina algoritmo de carga de imagen.

                    $Imagen_Portada=$Imagen_Portada_img;  

                    }  

                }



            if ($Foto_Perfil_Contacto!='') {

                    $tamano = $_FILES ['Foto_Perfil_Contacto_file']['size'];

                    if ($tamano>0) 

                    {

                        if (strpos($_FILES["Foto_Perfil_Contacto_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["Foto_Perfil_Contacto_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }                    

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") {

                            move_uploaded_file ($_FILES ['Foto_Perfil_Contacto_file']['tmp_name'], $Foto_Perfil_Contacto);

                        }

                    }

                }

                else

                {   

                    $tamano = $_FILES ['Foto_Perfil_Contacto_file']['size'];

                    if ($tamano>0) 

                    {

                    // Creamos la cadena aletoria para la imagen.

                    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                    $cad = ""; 

                    for($i=0;$i<12;$i++) { 

                        $cad .= substr($str,rand(0,62),1); 

                    } 

                    // Fin de la creacion de la cadena aletoria 

                    $tamano = $_FILES ['Foto_Perfil_Contacto_file']['size']; // Leemos el tamano del fichero 

                    $tamano_max="50000000000"; // tamano maximo permitido 

                    // echo $tamano;

                    if( $tamano < $tamano_max){ // Comprovamos el tamano  

                        $destino = '../../../repositorio/qr_tag_img/' ; // Carpeta donde se guarda                    

                        $sep="";

                        $Mec_type="";

                        if (strpos($_FILES["Foto_Perfil_Contacto_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["Foto_Perfil_Contacto_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }

                        if (strpos($_FILES["Foto_Perfil_Contacto_file"]["type"], 'audio/') !== false) {

                            $sep=explode('audio/',$_FILES["Foto_Perfil_Contacto_file"]["type"]); // Separamos image/ 

                            $Mec_type='aud';

                        }

                        if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                        }

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                            try {

                                if ($tamano>0){

                                // se comentaron para que le cambie el nombre a la nueva imagen.

                                    move_uploaded_file ($_FILES ['Foto_Perfil_Contacto_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                                 // Subimos el archivo                          

                                }

                            

                            } catch (Exception $e) {

                            }

                            $Mec_urla=$cad;

                            $Mec_formato='.'.$tipo;

                        } else { 

                             $Foto_Perfil_Contacto_img="";

                        }

                    } else { 

                        $Foto_Perfil_Contacto_img="";

                    }

                    if (strlen($tipo)==0) {

                        $Foto_Perfil_Contacto_img='';       

                    } else {

                        $Foto_Perfil_Contacto_img=$destino.'/'.$cad.'.'.$tipo;      

                    }

                    //termina algoritmo de carga de imagen.

                    $Foto_Perfil_Contacto=$Foto_Perfil_Contacto_img;  

                    }  

                }

 

             $Obj_qr_tag->update_qr_tag($Id_Qr_Tag, $Id_Fk_Lote, $Lote, $Qr_Icon_Img, $Qr_Img1px, $Qr_Img3px, $Qr_Img5px, $Qr_Img10px, $Imagen_Portada, $Id_Fk_Objeto, $Titulo_Objeto, $Tag_Qr_Image, $Ficha_Descriptiva, $Observaciones, $Mostrar_Contacto, $Descargar_Contacto, $Mostrar_Qr, $Titulo_Boton, $Icono_Boton, $Modulo_Href_Boton, $Tema, $Pagina_Web, $Url_Base, $Url_Add, $Foto_Perfil_Contacto, $Nombre_Contacto, $Apellido_Paterno_Contacto, $Apellido_Materno_Contacto, $Direccion, $Telefono_Celular, $Correo, $Facebook, $Linkedin, $Instagram, $Twitter, $Youtube, $TikTok, $Hash_Tag_Qr, $Try_Insert, $Token, $Url_Calendario, $Mostrar_Calendario, $Borrado_Logico, $Status, $Reporte_Perdido, $Mensaje_Perdido, $Usuario_Registro, $Id_Fk_Usuario_Registro, $Usuario_Modifico, $Id_Fk_Usuario_Modifico, $Tag_Is_Empty, $Fecha_Registro, $Fecha_Modificacion);

            /*if($_Clausula_Fk!='' && $_IdFk!=''){

               $locations="Location: ../view/?_Clausula_Fk=$_Clausula_Fk&_IdFk=$_IdFk&pagina=$_Pagina&_Id_Registro=$Id_Qr_Tag&_ScrollTo=$_ScrollTo";

            }else{

              $locations="Location: ../view/?pagina=$_Pagina&_Id_Registro=$Id_Qr_Tag&_ScrollTo=$_ScrollTo";

            }*/

            

            header("Location:../../../qr?q=".$Hash_Tag_Qr);

            }   

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }

        break;

    

    case 'editar':



        try{

            if (!file_exists('../../../repositorio/qr_tag_img')) {

                mkdir('../../../repositorio/qr_tag_img', 0777, true); // Crear directorio recursivamente con permisos completos (0777)

            }



            if ($Imagen_Portada!='') {

                    $tamano = $_FILES ['Imagen_Portada_file']['size'];

                    if ($tamano>0) 

                    {

                        if (strpos($_FILES["Imagen_Portada_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["Imagen_Portada_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }                    

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") {

                            move_uploaded_file ($_FILES ['Imagen_Portada_file']['tmp_name'], $Imagen_Portada);

                        }

                    }

                }

                else

                {   

                    $tamano = $_FILES ['Imagen_Portada_file']['size'];

                    if ($tamano>0) 

                    {

                    // Creamos la cadena aletoria para la imagen.

                    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                    $cad = ""; 

                    for($i=0;$i<12;$i++) { 

                        $cad .= substr($str,rand(0,62),1); 

                    } 

                    // Fin de la creacion de la cadena aletoria 

                    $tamano = $_FILES ['Imagen_Portada_file']['size']; // Leemos el tamano del fichero 

                    $tamano_max="50000000000"; // tamano maximo permitido 

                    // echo $tamano;

                    if( $tamano < $tamano_max){ // Comprovamos el tamano  

                        $destino = '../../../repositorio/qr_tag_img/' ; // Carpeta donde se guarda                    

                        $sep="";

                        $Mec_type="";

                        if (strpos($_FILES["Imagen_Portada_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["Imagen_Portada_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }

                        if (strpos($_FILES["Imagen_Portada_file"]["type"], 'audio/') !== false) {

                            $sep=explode('audio/',$_FILES["Imagen_Portada_file"]["type"]); // Separamos image/ 

                            $Mec_type='aud';

                        }

                        if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                        }

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                            try {

                                if ($tamano>0){

                                // se comentaron para que le cambie el nombre a la nueva imagen.

                                    move_uploaded_file ($_FILES ['Imagen_Portada_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                                 // Subimos el archivo                          

                                }

                            

                            } catch (Exception $e) {

                            }

                            $Mec_urla=$cad;

                            $Mec_formato='.'.$tipo;

                        } else { 

                             $Imagen_Portada_img="";

                        }

                    } else { 

                        $Imagen_Portada_img="";

                    }

                    if (strlen($tipo)==0) {

                        $Imagen_Portada_img='';       

                    } else {

                        $Imagen_Portada_img=$destino.'/'.$cad.'.'.$tipo;      

                    }

                    //termina algoritmo de carga de imagen.

                    $Imagen_Portada=$Imagen_Portada_img;  

                    }  

                }



            if ($Foto_Perfil_Contacto!='') {

                    $tamano = $_FILES ['Foto_Perfil_Contacto_file']['size'];

                    if ($tamano>0) 

                    {

                        if (strpos($_FILES["Foto_Perfil_Contacto_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["Foto_Perfil_Contacto_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }                    

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") {

                            move_uploaded_file ($_FILES ['Foto_Perfil_Contacto_file']['tmp_name'], $Foto_Perfil_Contacto);

                        }

                    }

                }

                else

                {   

                    $tamano = $_FILES ['Foto_Perfil_Contacto_file']['size'];

                    if ($tamano>0) 

                    {

                    // Creamos la cadena aletoria para la imagen.

                    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                    $cad = ""; 

                    for($i=0;$i<12;$i++) { 

                        $cad .= substr($str,rand(0,62),1); 

                    } 

                    // Fin de la creacion de la cadena aletoria 

                    $tamano = $_FILES ['Foto_Perfil_Contacto_file']['size']; // Leemos el tamano del fichero 

                    $tamano_max="50000000000"; // tamano maximo permitido 

                    // echo $tamano;

                    if( $tamano < $tamano_max){ // Comprovamos el tamano  

                        $destino = '../../../repositorio/qr_tag_img/' ; // Carpeta donde se guarda                    

                        $sep="";

                        $Mec_type="";

                        if (strpos($_FILES["Foto_Perfil_Contacto_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["Foto_Perfil_Contacto_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }

                        if (strpos($_FILES["Foto_Perfil_Contacto_file"]["type"], 'audio/') !== false) {

                            $sep=explode('audio/',$_FILES["Foto_Perfil_Contacto_file"]["type"]); // Separamos image/ 

                            $Mec_type='aud';

                        }

                        if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                        }

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                            try {

                                if ($tamano>0){

                                // se comentaron para que le cambie el nombre a la nueva imagen.

                                    move_uploaded_file ($_FILES ['Foto_Perfil_Contacto_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                                 // Subimos el archivo                          

                                }

                            

                            } catch (Exception $e) {

                            }

                            $Mec_urla=$cad;

                            $Mec_formato='.'.$tipo;

                        } else { 

                             $Foto_Perfil_Contacto_img="";

                        }

                    } else { 

                        $Foto_Perfil_Contacto_img="";

                    }

                    if (strlen($tipo)==0) {

                        $Foto_Perfil_Contacto_img='';       

                    } else {

                        $Foto_Perfil_Contacto_img=$destino.'/'.$cad.'.'.$tipo;      

                    }

                    //termina algoritmo de carga de imagen.

                    $Foto_Perfil_Contacto=$Foto_Perfil_Contacto_img;  

                    }  

                }

 

             $Obj_qr_tag->update_qr_tag($Id_Qr_Tag, $Id_Fk_Lote, $Lote, $Qr_Icon_Img, $Qr_Img1px, $Qr_Img3px, $Qr_Img5px, $Qr_Img10px, $Imagen_Portada, $Id_Fk_Objeto, $Titulo_Objeto, $Tag_Qr_Image, $Ficha_Descriptiva, $Observaciones, $Mostrar_Contacto, $Descargar_Contacto, $Mostrar_Qr, $Titulo_Boton, $Icono_Boton, $Modulo_Href_Boton, $Tema, $Pagina_Web, $Url_Base, $Url_Add, $Foto_Perfil_Contacto, $Nombre_Contacto, $Apellido_Paterno_Contacto, $Apellido_Materno_Contacto, $Direccion, $Telefono_Celular, $Correo, $Facebook, $Linkedin, $Instagram, $Twitter, $Youtube, $TikTok, $Hash_Tag_Qr, $Try_Insert, $Token, $Url_Calendario, $Mostrar_Calendario, $Borrado_Logico, $Status, $Reporte_Perdido, $Mensaje_Perdido, $Usuario_Registro, $Id_Fk_Usuario_Registro, $Usuario_Modifico, $Id_Fk_Usuario_Modifico, $Tag_Is_Empty, $Fecha_Registro, $Fecha_Modificacion);

            if($_Clausula_Fk!='' && $_IdFk!=''){

               $locations="Location: ../view/?_Clausula_Fk=$_Clausula_Fk&_IdFk=$_IdFk&pagina=$_Pagina&_Id_Registro=$Id_Qr_Tag&_ScrollTo=$_ScrollTo";

            }else{

              $locations="Location: ../view/?pagina=$_Pagina&_Id_Registro=$Id_Qr_Tag&_ScrollTo=$_ScrollTo";

            }

            header($locations);

            }   

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }

        break;



        case 'registrar':



        try{

            if (!file_exists('../../../repositorio/qr_tag_img')) {

                mkdir('../../../repositorio/qr_tag_img', 0777, true); // Crear directorio recursivamente con permisos completos (0777)

            }

 

            $tamano_Imagen_Portada = $_FILES ['Imagen_Portada_file']['size'];

            if ($tamano_Imagen_Portada>0) 

            {

            $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                $cad = ""; 

                for($i=0;$i<12;$i++) { 

                    $cad .= substr($str,rand(0,62),1); 

                } 

                // Fin de la creacion de la cadena aletoria 

                $tamano = $_FILES ['Imagen_Portada_file']['size']; // Leemos el tamano del fichero 

                $tamano_max="50000000000"; // tamano maximo permitido 

                // echo $tamano;

                if( $tamano < $tamano_max){ // Comprovamos el tamano  

                    $destino = '../../../repositorio/qr_tag_img' ; // Carpeta donde se guarda                    

                    $sep="";

                    $Mec_type="";

                    if (strpos($_FILES["Imagen_Portada_file"]["type"], 'image/') !== false) {

                        $sep=explode('image/',$_FILES["Imagen_Portada_file"]["type"]); // Separamos image/ 

                        $Mec_type='img';

                    }

                    if (strpos($_FILES["Imagen_Portada_file"]["type"], 'audio/') !== false) {

                        $sep=explode('audio/',$_FILES["Imagen_Portada_file"]["type"]); // Separamos image/ 

                        $Mec_type='aud';

                    }

                    if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                    }

                    if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                        try {

                            if ($tamano>0){

                            // se comentaron para que le cambie el nombre a la nueva imagen.

                                move_uploaded_file ($_FILES ['Imagen_Portada_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                             // Subimos el archivo                          

                            }

                            

                        } catch (Exception $e) {

                        }

                        $Mec_urla=$cad;

                        $Mec_formato='.'.$tipo;

                    } else { 

                         $Imagen_Portada_img="";

                    }

                } else { 

                    $logo="";

                }

                if (strlen($tipo)==0) {

                    $Imagen_Portada_img='';       

                } else {

                    $Imagen_Portada_img=$destino.'/'.$cad.'.'.$tipo;      

                }

                //termina algoritmo de carga de imagen.

                $Imagen_Portada=$Imagen_Portada_img; 

                } 

 

            $tamano_Foto_Perfil_Contacto = $_FILES ['Foto_Perfil_Contacto_file']['size'];

            if ($tamano_Foto_Perfil_Contacto>0) 

            {

            $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                $cad = ""; 

                for($i=0;$i<12;$i++) { 

                    $cad .= substr($str,rand(0,62),1); 

                } 

                // Fin de la creacion de la cadena aletoria 

                $tamano = $_FILES ['Foto_Perfil_Contacto_file']['size']; // Leemos el tamano del fichero 

                $tamano_max="50000000000"; // tamano maximo permitido 

                // echo $tamano;

                if( $tamano < $tamano_max){ // Comprovamos el tamano  

                    $destino = '../../../repositorio/qr_tag_img' ; // Carpeta donde se guarda                    

                    $sep="";

                    $Mec_type="";

                    if (strpos($_FILES["Foto_Perfil_Contacto_file"]["type"], 'image/') !== false) {

                        $sep=explode('image/',$_FILES["Foto_Perfil_Contacto_file"]["type"]); // Separamos image/ 

                        $Mec_type='img';

                    }

                    if (strpos($_FILES["Foto_Perfil_Contacto_file"]["type"], 'audio/') !== false) {

                        $sep=explode('audio/',$_FILES["Foto_Perfil_Contacto_file"]["type"]); // Separamos image/ 

                        $Mec_type='aud';

                    }

                    if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                    }

                    if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                        try {

                            if ($tamano>0){

                            // se comentaron para que le cambie el nombre a la nueva imagen.

                                move_uploaded_file ($_FILES ['Foto_Perfil_Contacto_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                             // Subimos el archivo                          

                            }

                            

                        } catch (Exception $e) {

                        }

                        $Mec_urla=$cad;

                        $Mec_formato='.'.$tipo;

                    } else { 

                         $Foto_Perfil_Contacto_img="";

                    }

                } else { 

                    $logo="";

                }

                if (strlen($tipo)==0) {

                    $Foto_Perfil_Contacto_img='';       

                } else {

                    $Foto_Perfil_Contacto_img=$destino.'/'.$cad.'.'.$tipo;      

                }

                //termina algoritmo de carga de imagen.

                $Foto_Perfil_Contacto=$Foto_Perfil_Contacto_img; 

                } 

        

         $idtupla=$Obj_qr_tag->insert_qr_tag($Id_Fk_Lote, $Lote, $Qr_Icon_Img, $Qr_Img1px, $Qr_Img3px, $Qr_Img5px, $Qr_Img10px, $Imagen_Portada, $Id_Fk_Objeto, $Titulo_Objeto, $Tag_Qr_Image, $Ficha_Descriptiva, $Observaciones, $Mostrar_Contacto, $Descargar_Contacto, $Mostrar_Qr, $Titulo_Boton, $Icono_Boton, $Modulo_Href_Boton, $Tema, $Pagina_Web, $Url_Base, $Url_Add, $Foto_Perfil_Contacto, $Nombre_Contacto, $Apellido_Paterno_Contacto, $Apellido_Materno_Contacto, $Direccion, $Telefono_Celular, $Correo, $Facebook, $Linkedin, $Instagram, $Twitter, $Youtube, $TikTok, $Hash_Tag_Qr, $Try_Insert, $Token, $Url_Calendario, $Mostrar_Calendario, $Borrado_Logico, $Status, $Reporte_Perdido, $Mensaje_Perdido, $Usuario_Registro, $Id_Fk_Usuario_Registro, $Usuario_Modifico, $Id_Fk_Usuario_Modifico, $Tag_Is_Empty, $Fecha_Registro, $Fecha_Modificacion);

         if($_Clausula_Fk!='' && $_IdFk!=''){

               $locations="Location: ../view/?_Clausula_Fk=$_Clausula_Fk&_IdFk=$_IdFk&pagina=1&_Id_Registro=$idtupla&_ScrollTo=0";

        }else{

            $locations="Location: ../view/?pagina=1&_Id_Registro=$idtupla&_ScrollTo=0";

        }

            header($locations);        

           }    

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }   



        break;

        case 'duplicar':



        try{

 

            $tamano_Imagen_Portada = $_FILES ['Imagen_Portada_file']['size'];

            if ($tamano_Imagen_Portada>0) 

            {

            $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                $cad = ""; 

                for($i=0;$i<12;$i++) { 

                    $cad .= substr($str,rand(0,62),1); 

                } 

                // Fin de la creacion de la cadena aletoria 

                $tamano = $_FILES ['Imagen_Portada_file']['size']; // Leemos el tamano del fichero 

                $tamano_max="50000000000"; // tamano maximo permitido 

                // echo $tamano;

                if( $tamano < $tamano_max){ // Comprovamos el tamano  

                    $destino = '../../../repositorio/qr_tag_img' ; // Carpeta donde se guarda                    

                    $sep="";

                    $Mec_type="";

                    if (strpos($_FILES["Imagen_Portada_file"]["type"], 'image/') !== false) {

                        $sep=explode('image/',$_FILES["Imagen_Portada_file"]["type"]); // Separamos image/ 

                        $Mec_type='img';

                    }

                    if (strpos($_FILES["Imagen_Portada_file"]["type"], 'audio/') !== false) {

                        $sep=explode('audio/',$_FILES["Imagen_Portada_file"]["type"]); // Separamos image/ 

                        $Mec_type='aud';

                    }

                    if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                    }

                    if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                        try {

                            if ($tamano>0){

                            // se comentaron para que le cambie el nombre a la nueva imagen.

                                move_uploaded_file ($_FILES ['Imagen_Portada_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                             // Subimos el archivo                          

                            }

                            

                        } catch (Exception $e) {

                        }

                        $Mec_urla=$cad;

                        $Mec_formato='.'.$tipo;

                    } else { 

                         $Imagen_Portada_img="";

                    }

                } else { 

                    $logo="";

                }

                if (strlen($tipo)==0) {

                    $Imagen_Portada_img='';       

                } else {

                    $Imagen_Portada_img=$destino.'/'.$cad.'.'.$tipo;      

                }

                //termina algoritmo de carga de imagen.

                $Imagen_Portada=$Imagen_Portada_img; 

                }else{

                    if($Imagen_Portada!=''){

                        $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                        $cad = ""; 

                        for($i=0;$i<12;$i++) { 

                            $cad .= substr($str,rand(0,62),1); 

                        }

                        $extension = pathinfo($Imagen_Portada, PATHINFO_EXTENSION);

                        $Imagen_PortadaCopia = '../../../repositorio/qr_tag_img/'.$cad . "." . $extension;

                        copy($Imagen_Portada, $Imagen_PortadaCopia);

                        $Imagen_Portada=$Imagen_PortadaCopia;

                    }else{

                        $Imagen_Portada='';

                    }

                } 

 

            $tamano_Foto_Perfil_Contacto = $_FILES ['Foto_Perfil_Contacto_file']['size'];

            if ($tamano_Foto_Perfil_Contacto>0) 

            {

            $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                $cad = ""; 

                for($i=0;$i<12;$i++) { 

                    $cad .= substr($str,rand(0,62),1); 

                } 

                // Fin de la creacion de la cadena aletoria 

                $tamano = $_FILES ['Foto_Perfil_Contacto_file']['size']; // Leemos el tamano del fichero 

                $tamano_max="50000000000"; // tamano maximo permitido 

                // echo $tamano;

                if( $tamano < $tamano_max){ // Comprovamos el tamano  

                    $destino = '../../../repositorio/qr_tag_img' ; // Carpeta donde se guarda                    

                    $sep="";

                    $Mec_type="";

                    if (strpos($_FILES["Foto_Perfil_Contacto_file"]["type"], 'image/') !== false) {

                        $sep=explode('image/',$_FILES["Foto_Perfil_Contacto_file"]["type"]); // Separamos image/ 

                        $Mec_type='img';

                    }

                    if (strpos($_FILES["Foto_Perfil_Contacto_file"]["type"], 'audio/') !== false) {

                        $sep=explode('audio/',$_FILES["Foto_Perfil_Contacto_file"]["type"]); // Separamos image/ 

                        $Mec_type='aud';

                    }

                    if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                    }

                    if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                        try {

                            if ($tamano>0){

                            // se comentaron para que le cambie el nombre a la nueva imagen.

                                move_uploaded_file ($_FILES ['Foto_Perfil_Contacto_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                             // Subimos el archivo                          

                            }

                            

                        } catch (Exception $e) {

                        }

                        $Mec_urla=$cad;

                        $Mec_formato='.'.$tipo;

                    } else { 

                         $Foto_Perfil_Contacto_img="";

                    }

                } else { 

                    $logo="";

                }

                if (strlen($tipo)==0) {

                    $Foto_Perfil_Contacto_img='';       

                } else {

                    $Foto_Perfil_Contacto_img=$destino.'/'.$cad.'.'.$tipo;      

                }

                //termina algoritmo de carga de imagen.

                $Foto_Perfil_Contacto=$Foto_Perfil_Contacto_img; 

                }else{

                    if($Foto_Perfil_Contacto!=''){

                        $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                        $cad = ""; 

                        for($i=0;$i<12;$i++) { 

                            $cad .= substr($str,rand(0,62),1); 

                        }

                        $extension = pathinfo($Foto_Perfil_Contacto, PATHINFO_EXTENSION);

                        $Foto_Perfil_ContactoCopia = '../../../repositorio/qr_tag_img/'.$cad . "." . $extension;

                        copy($Foto_Perfil_Contacto, $Foto_Perfil_ContactoCopia);

                        $Foto_Perfil_Contacto=$Foto_Perfil_ContactoCopia;

                    }else{

                        $Foto_Perfil_Contacto='';

                    }

                } 

        

         $idtupla=$Obj_qr_tag->insert_qr_tag($Id_Fk_Lote, $Lote, $Qr_Icon_Img, $Qr_Img1px, $Qr_Img3px, $Qr_Img5px, $Qr_Img10px, $Imagen_Portada, $Id_Fk_Objeto, $Titulo_Objeto, $Tag_Qr_Image, $Ficha_Descriptiva, $Observaciones, $Mostrar_Contacto, $Descargar_Contacto, $Mostrar_Qr, $Titulo_Boton, $Icono_Boton, $Modulo_Href_Boton, $Tema, $Pagina_Web, $Url_Base, $Url_Add, $Foto_Perfil_Contacto, $Nombre_Contacto, $Apellido_Paterno_Contacto, $Apellido_Materno_Contacto, $Direccion, $Telefono_Celular, $Correo, $Facebook, $Linkedin, $Instagram, $Twitter, $Youtube, $TikTok, $Hash_Tag_Qr, $Try_Insert, $Token, $Url_Calendario, $Mostrar_Calendario, $Borrado_Logico, $Status, $Reporte_Perdido, $Mensaje_Perdido, $Usuario_Registro, $Id_Fk_Usuario_Registro, $Usuario_Modifico, $Id_Fk_Usuario_Modifico, $Tag_Is_Empty, $Fecha_Registro, $Fecha_Modificacion);

         if($_Clausula_Fk!='' && $_IdFk!=''){

               $locations="Location: ../view/?_Clausula_Fk=$_Clausula_Fk&_IdFk=$_IdFk&pagina=1&_Id_Registro=$idtupla&_ScrollTo=0";

        }else{

            $locations="Location: ../view/?pagina=1&_Id_Registro=$idtupla&_ScrollTo=0";

        }

            header($locations);        

           }    

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }   



        break;

    

        case 'eliminar':           

                try{

              $Obj_qr_tag->delete_qr_tag($Id_Qr_Tag);

                 $locations ="Location: ../view";

                 header($locations);

                }

        

                catch (Exception $e) {

                    echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

                }   



        break;



    default:

        

        break;

}

?>